public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/s6-dns/
Date: Fri, 28 Jan 2022 08:00:12 +0000 (UTC)	[thread overview]
Message-ID: <1643356758.c554cac7b9508d308eb41b02894ed5fee9f4b4aa.sam@gentoo> (raw)

commit:     c554cac7b9508d308eb41b02894ed5fee9f4b4aa
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Jan 23 15:10:26 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 28 07:59:18 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c554cac7

net-dns/s6-dns: add 2.3.5.3

-fno-stack-protector flag was removed from configure script in upstream
in version 2.3.4.0.

Upstream-commit: 5b063a4db3e6 ("Don't put -fno-stack-protector in default CFLAGS")
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-dns/s6-dns/Manifest              |  1 +
 net-dns/s6-dns/s6-dns-2.3.5.3.ebuild | 50 ++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/net-dns/s6-dns/Manifest b/net-dns/s6-dns/Manifest
index 7893fa209ad5..a91e6a5c3680 100644
--- a/net-dns/s6-dns/Manifest
+++ b/net-dns/s6-dns/Manifest
@@ -1 +1,2 @@
 DIST s6-dns-2.3.3.0.tar.gz 83398 BLAKE2B dc4408a608324bdecd363c8a7a92d878983075e93af66905e4315e34e8d1fb1fdecc78fcd7e56fabdfdcbdcda81cc39bc93044730a0bafed26df40ca70110a71 SHA512 f711ff3f7ea7ae2eecf46b6742f61e970aed8776fcaa4f7902da0864c97f71296bc1651c08ff6f98d6474ccb0ee904c2d7497d7a1d28d48db8df78865b2a9e79
+DIST s6-dns-2.3.5.3.tar.gz 84916 BLAKE2B b315e2319c4b15401a6e41847faefc1798c3a945fc78f1601b06ce13ef0a55ddde270549e0585cac0356f9b1558a1433675dc4c636d1cc58aee434b86bd81627 SHA512 f3984913df65823c4edbeddc2f8c534926e74c5b06c357c394b05b25943ac8c6b4154859c93e182c60228f018522eb6173ece0bd2dbeffe8e1cc6fcbe33f6a76

diff --git a/net-dns/s6-dns/s6-dns-2.3.5.3.ebuild b/net-dns/s6-dns/s6-dns-2.3.5.3.ebuild
new file mode 100644
index 000000000000..14abc3c2c212
--- /dev/null
+++ b/net-dns/s6-dns/s6-dns-2.3.5.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Suite of DNS client programs and libraries for Unix systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-dns/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="static static-libs"
+
+REQUIRED_USE="static? ( static-libs )"
+
+RDEPEND=">=dev-libs/skalibs-2.11.1.0:=[static-libs?]"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+	default
+
+	# Avoid QA warning for LDFLAGS addition
+	sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+	sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+	tc-export AR CC RANLIB
+
+	local myconf=(
+		--bindir=/bin
+		--dynlibdir=/usr/$(get_libdir)
+		--libdir=/usr/$(get_libdir)/${PN}
+		--with-dynlib=/usr/$(get_libdir)
+		--with-lib=/usr/$(get_libdir)/skalibs
+		--with-sysdeps=/usr/$(get_libdir)/skalibs
+		--enable-shared
+		$(use_enable static allstatic)
+		$(use_enable static static-libc)
+		$(use_enable static-libs static)
+	)
+
+	econf "${myconf[@]}"
+}


             reply	other threads:[~2022-01-28  8:00 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-28  8:00 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-24  9:39 [gentoo-commits] repo/gentoo:master commit in: net-dns/s6-dns/ Petr Vaněk
2024-08-30 10:19 Petr Vaněk
2024-06-14 13:31 Petr Vaněk
2024-06-09 21:12 Sam James
2024-06-09 21:12 Sam James
2024-01-17 10:39 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-11-22 11:38 Sam James
2023-11-17 11:09 Sam James
2023-11-17 11:09 Sam James
2023-05-20 12:32 Joonas Niilola
2023-02-21  8:01 Sam James
2023-01-17  1:53 Sam James
2023-01-17  1:53 Sam James
2022-08-16 15:26 Joonas Niilola
2022-06-25  5:36 Sam James
2022-05-24  7:01 Joonas Niilola
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2020-10-11 17:49 William Hubbs
2020-05-16  7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2019-06-22  7:52 Michał Górny
2018-10-09  0:12 Georgy Yakovlev
2018-10-02 22:08 Michał Górny
2018-03-29 13:25 William Hubbs
2018-01-10 21:35 William Hubbs
2017-10-03 18:47 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643356758.c554cac7b9508d308eb41b02894ed5fee9f4b4aa.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox